com.sun.jna.platform.win32

## Interface Winevt.EVT_CHANNEL_CLOCK_TYPE

- Enclosing interface:
    Winevt

      public static interface Winevt.EVT_CHANNEL_CLOCK_TYPE

  Defines the values that specify the type of time stamp to use when logging events channel. https://msdn.microsoft.com/en-us/library/windows/desktop/aa385493(v=vs.85).aspx

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EvtChannelClockTypeQPC` Uses the query performance counter (QPC) for the time stamp.
    `static int` | `EvtChannelClockTypeSystemTime` Uses the system time for the time stamp.

- - ### Field Detail

    - #### EvtChannelClockTypeSystemTime

          static final int EvtChannelClockTypeSystemTime

      Uses the system time for the time stamp. The system time provides a low-resolution (10 milliseconds) time stamp but is comparatively less expensive to retrieve. System time is the default. Note that if the volume of events is high, the resolution for system time may not be fine enough to determine the sequence of events. If multiple events contain the same time stamp, the events may be delivered in the wrong order.
      See Also:
        Constant Field Values

    - #### EvtChannelClockTypeQPC

          static final int EvtChannelClockTypeQPC

      Uses the query performance counter (QPC) for the time stamp. The QPC time stamp provides a high-resolution (100 nanoseconds) time stamp but is comparatively more expensive to retrieve. You should use this resolution if you have high event rates or if the consumer merges events from different buffers. Note that on older computers, the time stamp may not be accurate because the counter sometimes skips forward due to hardware errors.
      See Also:
        Constant Field Values

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.